<!--
IGAC proyecto SNC
@franz.gamba

@description  Pagina qeu muestra el estudio de costos en el documento de estudio de costos 
para convenios

-->

<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" columns="1" cellspacing="3"
             width="968" id="panelGridHojaEstudioCostos">

    <p:ajaxStatus onstart="statusDialog.show();"
                  onsuccess="statusDialog.hide();" onerror="statusDialog.hide();" />

    <h:panelGrid id="panelEstudioCostos"
                 rendered="#{currentManagedBeanParam.estudioCostosFlag}" columns="1">
        <p:panel style="width:1054px">
            <p:commandButton action="#{currentManagedBeanParam.recargarTabla}"
                             id="btnRecargarTabla" widgetVar="recargarTablaWV"
                             update="panelEstudioCostos,tablaItems"
                             value="Cargar desde documento" ajax="true" immediate="true"
                             process="@this">
            </p:commandButton>
            <p:spacer height="0" width="20" />

            <!--franz.gamba :: El boton de editar queda dehabilitado hasta nuevo aviso -->
            <ui:remove>
                <p:commandButton action="" id="" widgetVar="" update=""
                                 value="Editar" oncomplete="" icon="" process="@this">
                    <f:setPropertyActionListener value="true" target="" />
                </p:commandButton>
            </ui:remove>

            <h:outputLabel for="porcentajeAporteIgac"
                           value="Procentaje de Aporte IGAC: " />

            <p:inputText id="porcentajeAporteIgac"
                         value="#{currentManagedBeanParam.porcentajeIgac}"
                         label="porcentajeAporteIgac">
            </p:inputText>

        </p:panel>
        <p:spacer height="20" width="0" />
        <p:dataTable var="item" id="tablaItems" 
                     value="#{currentManagedBeanParam.itemsEstudioCosto}">
            <p:column>
                <f:facet name="header">  
                    Código
                </f:facet>
                <h:outputText value="#{item.codigo}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Ítem
                </f:facet>
                <h:outputText value="#{item.item}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Total
                </f:facet>
                <h:outputText value="#{item.total}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Enero
                </f:facet>
                <h:outputText value="#{item.enero}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Febrero
                </f:facet>
                <h:outputText value="#{item.febrero}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Marzo
                </f:facet>
                <h:outputText value="#{item.marzo}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Abril
                </f:facet>
                <h:outputText value="#{item.abril}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Mayo
                </f:facet>
                <h:outputText value="#{item.mayo}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Junio
                </f:facet>
                <h:outputText value="#{item.junio}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Julio
                </f:facet>
                <h:outputText value="#{item.julio}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Agosto
                </f:facet>
                <h:outputText value="#{item.agosto}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Septiembre
                </f:facet>
                <h:outputText value="#{item.septiembre}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Octubre
                </f:facet>
                <h:outputText value="#{item.octubre}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Noviembre
                </f:facet>
                <h:outputText value="#{item.noviembre}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Diciembre
                </f:facet>
                <h:outputText value="#{item.diciembre}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Prueba Distribución
                </f:facet>
                <h:outputText value="#{item.pruebaDistribucion}" />
            </p:column>

            <p:column>
                <f:facet name="header">  
                    Control Total
                </f:facet>
                <h:outputText value="#{item.controlTotal}" />
            </p:column>

        </p:dataTable>		
    </h:panelGrid>

</h:panelGrid>












